INNUPGRADE(8)

NAME
innupgrade - Upgrade INN configuration files

SYNOPSIS
innupgrade directory

innupgrade [-t type] -f file

DESCRIPTION
innupgrade is intended to be run during a major upgrade of INN to fix the configuration files with any required changes. If given a directory, it will scan that directory for any files that it has updates defined for, try to perform those updates, and replace the files with updated versions if applying the updates resulted in any changes. The old versions of the files will be saved with a ".OLD" extension.

If the -f flag is used, only that file will be updated. If the file name doesn't match the standard file name of an INN configuration file, the optional -t flag may be given to specify the type. See "EXAMPLES" for an example of this.

Currently, innupgrade knows how to apply the following updates:

incoming.conf
    •   Rename nolist and noresendid to respectively list and resendid. Invert the related boolean values (since INN 2.7).

    •   Comment removed comment and email parameters (since INN 2.7).

inn.conf
    •   Quote values with whitespace and comment out keys with no values, required for the change in configuration parsers introduced in INN 2.4. The new format is not backward compatible with the previous parser, since the previous parser will include the double-quotes in the value of the parameter.

    •   Add the hismethod parameter if not found (introduced in INN 2.4, with the default value "hisv6").

    •   Rename nntpactsync to incominglogfrequency (since INN 2.5). Rename addnntppostingdate and addnntppostinghost to respectively addinjectiondate and addinjectionpostinghost (since INN 2.6).

    •   Remove the refusecybercancels and verifycancels parameters (since INN 2.7).

    •   If the overview.fmt file exists, its content is merged in the extraoverviewadvertised and extraoverviewhidden parameters introduced in INN 2.5. The file is then renamed to overview.fmt.OLD.

    •   If the sasl.conf file exists, its content is merged in the tlscapath, tlscafile, tlscertfile and tlskeyfile parameters introduced in INN 2.5. The file is then renamed to sasl.conf.OLD.

inn-secrets.conf
    •   Create a non-world-readable inn-secrets.conf file in pathetc, if not already existing (new in INN 2.7).

newsfeeds
    •   Replace the use of startinnfeed with the appropriate direct invocation of innfeed or imapfeed (startinnfeed was removed in INN 2.5).

    •   Replace the use of filechan with buffchan in unbuffered mode (filechan was removed in INN 2.7).

readers.conf
    •   Rename require_ssl to require_encryption (since INN 2.7).

A few obsolete programs or configuration files are renamed with a ".OLD" extension by innupgrade. Obsolete man pages are directly removed.

Normally, innupgrade should be run at least on the pathetc directory after any upgrade of INN other than a patch release (any upgrade that changes the first or second version numbers). This may occur automatically during the upgrade process.

OPTIONS

-f file
    Only act on file rather than working on an entire directory.

-t type
    For a file specified with -f, parse it and upgrade it as if it were named type. Used for upgrading files with the same syntax as normal INN configuration files but with different names. Only makes sense in combination with -f.

EXAMPLES
Upgrade any configuration files found in pathetc and append a ".OLD" extension to obsolete files in pathetc:

    innupgrade <pathetc in inn.conf>

Upgrade only /news/etc/inn.conf:

    innupgrade -f /news/etc/inn.conf

Upgrade a file named inn-special.conf that should have the same syntax as inn.conf:

    innupgrade -t inn.conf -f inn-special.conf

Any upgrade rules that apply to inn.conf will be applied to the alternate file.

HISTORY
Written by Russ Allbery <eagle@eyrie.org> for InterNetNews.

SEE ALSO
incoming.conf(5), inn.conf(5), inn-secrets.conf(5), newsfeeds(5), readers.conf(5).